Ethereum
Get VEM Request Status
Check the status of the VEM request.
GET
/
api
/
v1
/
eth
/
staking
/
direct
/
vem
/
status
/
{id}
Get VEM Request Status
curl --request GET \
--url https://api.p2p.org/api/api/v1/eth/staking/direct/vem/status/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.p2p.org/api/api/v1/eth/staking/direct/vem/status/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.p2p.org/api/api/v1/eth/staking/direct/vem/status/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "processing",
"type": "off_chain",
"vemRequest": "{\"action\": \"vem_request\",\"pubkeys\": [\"0x867a9f95287decd74e076b8fefca3022fcb2c3c37de246e950ade0cc3609c74d4badda62657a64c2c4009f1b6625c647\", \"0x93e298f6ac5fb8f262a23450d1638aec1c45f77fd1ac86beb19b696b3b84fef3694e9b2166b337783911a3d7df13fbf1\"],\"ecdh_client_pubkey\": \"0xa16c2f1354a7a58abbf78172730595c4de8277962ebe92100793f99ea80f66abe5e75a14a52e86ce1c086c1ca2e1662b3900510346d848b425d34279ceea92661fb1166b9438589c0b57eb4ebb69e0c3844ebe5ad4c0e316b637d47148d69dc2387c2968c82d198114a6c0f14a605a9e85110d24a9db4f11963b9b13dc788c0538096cadffd258364c63621f6bb1a3e515d3741af4619e62452a394fab9d84be7cee255fdd7216401cafee6471b4adbb77e93f878f1bb4df633e0632522b51fe70fc154e7d3e60a69f815a4e2a84506f05b1ccfce01e873cd7dc51fba0b6eac66af1c0a7500f71af405a6c34ffd27a1239180c22fbddf8dc15d30c821c57307d\"}",
"vemRequestSignature": "0x5d64827430e3d2fc1f4C9293709B13fc2af45c8eed295f96a4195d2c9224b5e344a969279ff437139868fc7e534191217ef3fe4d9c9b71d1bfeeDASbfb26d118243",
"vemRequestSignedBy": "0x78ADAeE48151b2E42de20f42b1a1980871314Ef5",
"vemRequestTxId": null,
"vemRequestProof": null,
"error": "",
"vemResult": "",
"forkVersion": "<string>"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
UUID of the VEM request.
Get VEM Request Status
